jQuery(document).ready(function() {
// Operadores Moviles
	var oPedidos  = $('#operadores_moviles').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"p<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Operadores Móviles.pdf",
					"sTitle": "Monitor Web - Operadores Móviles",
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Operadores Móviles.xls",
					"sTitle": "Monitor Web - Operadores Móviles"
                }
            ]
        }
	});
});


function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	var $select_distritos = $('#distritos'); 
	
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var sucursales = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=1&sucursales='+sucursales, function(data){
 
      //eliminamos todos los 
      $select_distritos.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_distritos.append('<option selected="selected" value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}

function zonas()
{
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#distritos option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var distritos = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=2&distritos='+distritos, function(data){
 
      //eliminamos todos los 
      $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_zonas.append('<option selected="selected" value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}

function nuevo_operador_movil()
{
	$('#loader').removeClass('hide');
	var validacion = true;
	
	var ultimo_id = document.getElementById('ultimo_id').value;
	
	var numero_operador = $("#numero_operador").val();
	
	var nombre_apellido = $("#nombre_apellido").val();

	var localizacion_jerarquica = null;

	if(ultimo_id == 3)
	   localizacion_jerarquica = $("#zonas").val();
	else if(ultimo_id == 2)
	   localizacion_jerarquica = $("#distritos").val();
	else 
	   localizacion_jerarquica = $("#sucursales").val();
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_moviles/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=6&nombre_apellido='+nombre_apellido+'&numero_operador='+numero_operador+'&localizacion_jerarquica='+localizacion_jerarquica);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				$('#loader').addClass('hide');
				window.location='index.php?tabla=operadores_moviles';
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}

function editar_(id)
{
	$('#loader_'+id).removeClass('hide');
	var validacion = true;
	
	var ultimo_id = document.getElementById('ultimo_id').value;
	
	var nombre_apellido = $("#nombre_apellido_"+id).val();

	var localizacion_jerarquica = null;

	if(ultimo_id == 3)
	   localizacion_jerarquica = $("#zonas_"+id).val();
	else if(ultimo_id == 2)
	   localizacion_jerarquica = $("#distritos_"+id).val();
	else 
	   localizacion_jerarquica = $("#sucursales_"+id).val();
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_moviles/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=4&nombre_apellido='+nombre_apellido+'&numero_operador='+id+'&localizacion_jerarquica='+localizacion_jerarquica);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				$('#loader_'+id).addClass('hide');
				window.location='index.php?tabla=operadores_moviles';
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}

function eliminar_(id)
{
	$('#loader_'+id).removeClass('hide');
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_moviles/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&id='+id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{				
				window.location='index.php?tabla=operadores_moviles';
				$('#loader_'+id).addClass('hide');
			}
			else
			{
				  jQuery.gritter.add({
					 title: 'Información.',
					 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
					 class_name: 'growl-danger',
					 sticky: false,
					 time: '3000'
				   });
			}
		}
	}
}